Package org.eclipse.birt.report.model.api.scripts

# Class ArgumentInfo

java.lang.Object
org.eclipse.birt.report.model.api.scripts.ArgumentInfo

All Implemented Interfaces:
  `IArgumentInfo`

public class ArgumentInfo extends Object implements IArgumentInfo
Represents the definition of argument. The argument definition includes the data type, internal name, and display name.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.metadata.IArgumentInfo

`OPTIONAL_ARGUMENT_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ArgumentInfo(Class argumentType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Class`
`getArgumentClass()`
Returns the arguement type in class.
`IClassInfo`
`getClassType()`
Returns the class type of this argument.
`String`
`getDisplayName()`
Returns the display name for the property if the resource key of display name is defined.
`String`
`getDisplayNameKey()`
Returns the resource key for the display name.
`String`
`getName()`
Returns the internal name for the argument.
`String`
`getType()`
Returns the script type of this argument.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ArgumentInfo

protected ArgumentInfo(Class argumentType)
Constructor.

Parameters:
  `argumentType` - the argument type.

## Method Details

### getArgumentClass

protected Class getArgumentClass()
Returns the arguement type in class.

Returns:
  the arguement type in class

### getName

public String getName()
Description copied from interface: `IArgumentInfo`
Returns the internal name for the argument.

Specified by:
  `getName` in interface `IArgumentInfo`
Returns:
  the internal (non-localized) name for the argument

### getDisplayName

public String getDisplayName()
Returns the display name for the property if the resource key of display name is defined. Otherwise, return empty string.

Specified by:
  `getDisplayName` in interface `IArgumentInfo`
Returns:
  the user-visible, localized display name for the property

### getDisplayNameKey

public String getDisplayNameKey()
Returns the resource key for the display name.

Specified by:
  `getDisplayNameKey` in interface `IArgumentInfo`
Returns:
  The display name message ID.

### getType

public String getType()
Returns the script type of this argument.

Specified by:
  `getType` in interface `IArgumentInfo`
Returns:
  the script type to set

### getClassType

public IClassInfo getClassType()
Returns the class type of this argument.

Specified by:
  `getClassType` in interface `IArgumentInfo`
Returns:
  the class type to set

### toString

public String toString()

Overrides:
  `toString` in class `Object`